<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@disabled}}
  @isSaveDisabled={{@disabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  {{did-insert this.setup}} {{did-update this.setup @value}}
  ...attributes
>
  <:view>
    {{#if (and this.isEnabled this.values.length )}}
      <ol>
        {{#each this.values as | value |}}
          <li class="mt-2">
            {{#if @route}}
              <LinkTo @route={{@route}} @model={{value.id}} class="text-decoration-none">
                {{value.name}}
              </LinkTo>
            {{else}}
              {{value.name}}
            {{/if}}
          </li>
        {{/each}}
      </ol>
    {{else}}
      <div class="alert alert-info" role="alert">
        <div>
          <p>{{@emptyMessage}}</p>
          {{#if @defaultValues}}
            <hr />
            <ol>
              {{#each @defaultValues as |value|}}
                <li>{{value.name}}</li>
              {{/each}}
            </ol>
          {{/if}}
        </div>
      </div>
    {{/if}}
  </:view>

  <:edit>
    <Input::List @values={{@values}} @defaultValues={{@defaultValues}} @list={{@list}} @isEnabled={{this.isEnabled}} @onChange={{this.change}} />
  </:edit>
</Manage::FieldContainer>